`GET /api/admin/templates` — list the editable transactional-email templates with a rendered sample preview.
GET
/api/admin/templates
const url = 'https://example.com/api/admin/templates';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/templatesResponses
Section titled “Responses”Media typeapplication/json
Array<object>
object
body
required
string
key
required
string
sample_context
required
subject
required
string
updated_at
required
string format: date-time
updated_by
string | null format: uuid
Examplegenerated
[ { "body": "example", "key": "example", "sample_context": "example", "subject": "example", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }]